Subject: DRAFT minutes for today's call

From: Mark Nottingham <[email-masked]>
Date: Mon, 1 Oct 2012 14:49:15 +0100

[ please have a look below; unless I hear otherwise, I'll post as-is to the public list in a day or two ]

IETF/W3C Liaison Call

Monday, October 1 2012

Present: Mark Nottingham, Barry Leiba, Pete Resnick, Philippe le Hegaret, Stephen Farrell, Julian Reschke, John Klensin, Peter St. Andre

1. IRI WG status

Pete: asks about WG status. Has seen various messages, e.g., on apps-discuss. IRI mailing list has been near-dead. 

John: List has been very "spurty."  Might be worse than dead :)

Pete: Has seen messages from Anne van Kesteren about starting work again in WHATWG drafts.

John: Other issue is that I still don't know what they're trying to accomplish. No clear answer.

Pete: Right. 

Barry: I would be happy to see it closed.

Pete: I would not be deeply offended.

Mnot: would be happy to see it as well; work in W3C/WHATWG is fine. only concern is that relationship to existing work needs to be defined; not clear whether Anne was just being provocative when he said that he wanted to obsolete the URI/IRI RFCs, or if he was serious.

Plh: Anne doesn't participate in the WG; he's still active on the list, but not part of the WG. So, we're looking for someone else to replace Anne.

Pete: OK. It sounds like I have to coordinate with the chairs and W3C/WHATWG folks and figure out what / where we want this to be. Traction isn't happening.

Plh: It's inside the charter of the Web Applications WG.

ACTION: Pete to follow up. 

2. HTTPbis / HTTP2 status

Mnot: The http WG has had its charter renewed, starting work on http2, using spdy as a start.  You'll see that ramp up over the next month or so. We have editors.  Just finishing up on http1.1.  Roy has been editing over the last two weeks, and part 1 is ready for WGLC, part 2 this week.  Once the editors are set, we'll go to WGLC.  Seeing the end of the tunnel, and there's sunlight.

3. websec status

Barry: STS has been approved; should see the announcement today. Frame documents are still being worked upon. Sniffing document is up in the air; not clear whether we're going to procede. Key pinning - not sure of status. 

4. HTTP Authentication status

Stephen: BoF approved for Atlanta; picking up the set of proposals generated in httpbis. Idea will be to generate experimental / informational RFCs with a relatively low barrier. Being discussed on [email-masked] list. https://www.ietf.org/mailman/listinfo/http-auth

Barry: What's the likelyhood that there will be client uptake?

Plh: No special insight.

Mark: Will encourage browser folks to attend.

Barry: Important to make a statement, but I worry about the time we spend if no one pays attention.

(Julian (not on the phone): We need to understand what's the problem with the existing schemes beyond security issues; as far as I understand that's JS-initiated logout and styling the login dialogue; minimally we should try to fix the first problem)
    Stephen: Good points for the BoF and I know you've made 'em on the list.

5. Revision of IANA registration procedures

Barry: 5226bis document is not making drastic changes; is trying to cover / clarify additional situations. Would like to fit in the "custodian" review process as well. Will be lots of discussion about it, but not a big deal. 

Mark: would also like to do a 3864bis as well. 

6. web+ URI scheme / registerProtocolHandler discussion

Mark: [ summarises issues ]
Mark: Is this an issue from the IETF perspective?
Stephen, Barry: Oh, yes.
Barry: Don't worry so much about registry pollution; I worry about web+ triggering a whole different interaction pattern.
Stephen: Hasn't been a lot of discussion that actually explores the issue; lots of "you're not talking to the right people."
Barry: Right. Feeling that there's going to be something happening ad hoc by default, because we can't have a discussion with the right people.
Julian: But we can talk about what ends up in the W3C spec.
Plh: I can try to get them involved. They had an issue about this that got closed. Chairs will repoen if we get pushback from the IETF. So, the question is would the IETF like us to reopen the issue.
PeterSA: There has been a lot of concern; because the discussion hasn't been functional, we don't know how to procede. We don't like formal liaison statements; however, in this instance we might want to craft something.
Stephen: Is that needed?
Plh: If someone would volunteer to put the concerns into one message, it would help.
Stephen: Is the current mail traffic enough to convey that concern?
Plh: That isn't enough. If we can identify someone, that would be good enough.
Mark: I can do that.
ACTION: Mark to try to write down the issue(s).
Barry: Is there a point to discussing this at the appsarea meeting in Atlanta?
Plh: I don't think we'll have the right people there.
Plh: Might be good to mark it as a feature at risk, so it can be removed later on.
Mark: That would be good.
Julian: The chair decision overlapped with PLH's request to the IETF for feedback, and didn't address all of the concerns raised (the one about name-refixing not scaling).
ACTION: PLH to notify HTML Chairs that feature should be marked "at risk" based upon preliminary IETF feedback.
Mark: Do you know the status of implementation?
PLH: no.
Julian: Chris Weber did some tests earlier this year; it's been partly implemented in Chrome, Opera and Firefox (IIRC); differed on whether it was system-wide or browser-specific. My understanding is that it's supposed to be system-wide.
Stephen: It confuses the hell out of me as to what a URI scheme is anymore; is it web+mailto?
Julian: Idea is that there's a whitelist (such as to allow "mailto", but not "http"), as well as the web+ convention.
[ confusion over "register" in the method vs. "register" in IANA ]
PeterSA: Lot of confusion about the use case, not much clarity over what the feature actually is.

7. Atlanta IETF / Lyon Tech Plenary meetings

Mark: Thomas will not be in Atlanta, but you will PLH?
PLH: Yes on Thomas. For me, not 100% guarantee, but I hope to. If I do, it'll be Mon/Tues; want to see WebRTC and video codecs. Need to be in California on November 8th, and am in France for TPAC the week before.
PeterSA: I volunteered to co-chair the video codec bof; will try to help.
Mark: Is anyone from the IETF going to the TPAC?
Julian: You could count Larry...
PeterSA: Might be some WebRTC folks who go.
Stephebn: 8 BoFs https://trac.tools.ietf.org/bof/trac/wiki @ IETF-85 including web PKI ops: TLR expressed an interest in being kept up to speed on that in Vancouver

8. Next Meeting
Mark: After TPAC and Atlanta?
PeterSA: soon after (e.g., before US Thanksgiving). Or, Week of Nov 26.

--
Mark Nottingham
http://www.mnot.net/